Subject: Re: docs build problems

From: Jonathan Corbet <[email-masked]>
Date: Wed, 15 Oct 2025 15:15:37 -0600

Randy Dunlap <[email-masked]> writes:

> Hi,
>
> I am back to having one former error and one former pair of warnings
> on today's linux-next (20251015):
>
> ../Documentation/Makefile:71: warning: overriding recipe for target 'pdfdocs'
> ../Documentation/Makefile:62: warning: ignoring old recipe for target 'pdfdocs'
>   File "/usr/bin/sphinx-build", line 1
>     ELF..
> SyntaxError: source code cannot contain null bytes
>
>
> Did something happen to the docs/docs-next tree or was there some kind
> of mis-merge problem?

I pulled docs-next forward to -rc1 and merged a few things, but I
wouldn't expect any of that to create that kind of problem.  It seems we
lost the makefile fix somehow...?

jon